aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pluma/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2015-07-16 18:02:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-17 07:12:48 +0000
commit6bc9af5bc349af6ac43d255518c91aa1f5ed4384 (patch)
tree50a0f6be45d0188fa119349930c50b25ce6104a8 /testing/pluma/APKBUILD
parent2bae0f8ee5fbe9084d7044b9c65c5f4bc868821d (diff)
downloadaports-6bc9af5bc349af6ac43d255518c91aa1f5ed4384.tar.gz
aports-6bc9af5bc349af6ac43d255518c91aa1f5ed4384.tar.bz2
aports-6bc9af5bc349af6ac43d255518c91aa1f5ed4384.tar.xz
testing/pluma: new aport
Diffstat (limited to 'testing/pluma/APKBUILD')
-rw-r--r--testing/pluma/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/testing/pluma/APKBUILD b/testing/pluma/APKBUILD
new file mode 100644
index 0000000000..cf8802c803
--- /dev/null
+++ b/testing/pluma/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer: Alan Lacerda <alacerda@alpinelinux.org>
+pkgname=pluma
+pkgver=1.10.1
+pkgrel=0
+pkgdesc="A small and lightweight UTF-8 text editor for the MATE"
+url="https://github.com/mate-desktop/pluma"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev intltool enchant-dev iso-codes-dev gtk+2.0-dev
+ mate-desktop-dev gtksourceview-dev dconf-dev libsm-dev itstool
+ libxml2-utils fortify-headers"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/${pkgver%.*}/$pkgname-$pkgver.tar.xz
+ 0001-fix-accessperms-in-tests.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --sysconfdir=/etc \
+ --with-gtk=2.0 \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="925867bba1db3d95de7f2759c019b36d pluma-1.10.1.tar.xz
+b9b073964fd9a0f17e88f51f40078fe4 0001-fix-accessperms-in-tests.patch"
+sha256sums="c15b7548ee4f9d480d5e52376e10e668aa51bf783d73228f4bba13e3554b8aac pluma-1.10.1.tar.xz
+1cb9656b6054d7e9421f4ddcc64c987fda6c976b14e59d950b17426f4b9634a4 0001-fix-accessperms-in-tests.patch"
+sha512sums="1313dade830a7fb7059e5cf4b6feee99cb84596f0d332d59b49919ccc98e7f15a4839e7a4d6f2a970a3088b4fd292999a0e9ca2dce92cba3d7459d62fa183ce0 pluma-1.10.1.tar.xz
+3aa0ae2e383bcc36c63384455062954876e77995da79a757b4eb6e37f3b2e5f7139165d7bb95c193ff888d33d2682773e981bf7e44fd963e918696d64e537741 0001-fix-accessperms-in-tests.patch"